curl --request POST \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"address": "548 Market St",
"city": "San Francisco",
"contact_name": "Ada Lovelace",
"country": "US",
"currency": "USD",
"email": "ada.lovelace@example.com",
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"state": "CA",
"supplier_code": "string",
"tax_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"website": "https://example.com/webhooks/stateset"
}'
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
Create a supplier
Create a supplier
POST
/
api
/
v1
/
suppliers
curl --request POST \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"address": "548 Market St",
"city": "San Francisco",
"contact_name": "Ada Lovelace",
"country": "US",
"currency": "USD",
"email": "ada.lovelace@example.com",
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"state": "CA",
"supplier_code": "string",
"tax_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"website": "https://example.com/webhooks/stateset"
}'
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
Request body
CreateSupplierRequest
string,null
string,null
string,null
string,null
string,null
ISO 4217 currency code.
string,null
integer,null (int32)
string,null
Decimal minimum order amount as a string.
string
required
string,null
string,null
string,null
string,null
string,null
string,null
string,null
string,null
Response
SupplierResponse
string,null
string,null
string
required
string
required
string,null
string
required
boolean
required
integer,null (int32)
string,null
string
required
string
required
string,null
string
required
Status codes
| Code | Meaning |
|---|---|
201 | — |
400 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/suppliers' \
--header "Authorization: Bearer $STATESET_API_KEY" \
--header 'Content-Type: application/json' \
--data '{
"address": "548 Market St",
"city": "San Francisco",
"contact_name": "Ada Lovelace",
"country": "US",
"currency": "USD",
"email": "ada.lovelace@example.com",
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"postal_code": "94107",
"state": "CA",
"supplier_code": "string",
"tax_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"website": "https://example.com/webhooks/stateset"
}'
{
"contact_name": "Ada Lovelace",
"country": "US",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"email": "ada.lovelace@example.com",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"is_active": true,
"lead_time_days": 1,
"minimum_order": "string",
"name": "Two-Person Tent",
"payment_terms": "string",
"phone": "+1 415 555 0142",
"supplier_code": "string"
}
Last modified on August 31, 2026